Filter Options API
curl --request POST \
--url https://api.akta.pro/api/v1/filters/options/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"dropdowns": [
{}
]
}
'import requests
url = "https://api.akta.pro/api/v1/filters/options/"
payload = { "dropdowns": [{}] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({dropdowns: [{}]})
};
fetch('https://api.akta.pro/api/v1/filters/options/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/filters/options/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dropdowns' => [
[
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/filters/options/"
payload := strings.NewReader("{\n \"dropdowns\": [\n {}\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akta.pro/api/v1/filters/options/")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"dropdowns\": [\n {}\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/filters/options/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dropdowns\": [\n {}\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"firmographic.company_type": [
{ "value": "private", "label": "Private" },
{ "value": "public", "label": "Public" }
]
},
"credits_consumed": 0.00
}
Supporting APIs
Filter Options API
Returns the available options for one or more specific List Generation filter fields.
POST
/
v1
/
filters
/
options
/
Filter Options API
curl --request POST \
--url https://api.akta.pro/api/v1/filters/options/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"dropdowns": [
{}
]
}
'import requests
url = "https://api.akta.pro/api/v1/filters/options/"
payload = { "dropdowns": [{}] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({dropdowns: [{}]})
};
fetch('https://api.akta.pro/api/v1/filters/options/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/filters/options/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dropdowns' => [
[
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/filters/options/"
payload := strings.NewReader("{\n \"dropdowns\": [\n {}\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akta.pro/api/v1/filters/options/")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"dropdowns\": [\n {}\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/filters/options/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dropdowns\": [\n {}\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"firmographic.company_type": [
{ "value": "private", "label": "Private" },
{ "value": "public", "label": "Public" }
]
},
"credits_consumed": 0.00
}
Overview
The Get Filter Options API returns the selectable values for one or more filter fields, given a list ofdropdown_type names. Pass the filter field names — the same field values returned by the Get Filters List API — and get back the options available for each one. This is a free endpoint and does not consume credits. Results are returned in the API response.
Endpoint Details
- Method: POST
- Endpoint:
/api/v1/filters/options/
Authentication requirements
- Include a valid API key in the
x-api-keyrequest header.
Request
Request Parameters
Body Parameters
Array of objects, one per filter you want options for. Each object has a single
dropdown_type key — a filter field name from the Get Filters List API (e.g. firmographic.company_type).To fetch options for every filter in one call, pass one object per filter field:{
"dropdowns": [
{"dropdown_type": "firmographic.company_type"},
{"dropdown_type": "firmographic.ownership_category"},
{"dropdown_type": "firmographic.operating_status"},
{"dropdown_type": "funding_detail.funding_overview.funding_stage"},
{"dropdown_type": "financial_estimate.revenue_estimate"},
{"dropdown_type": "financial_estimate.valuation_estimate"},
{"dropdown_type": "location.hq.region"},
{"dropdown_type": "location.hq.country"},
{"dropdown_type": "business_model.gtm_type"},
{"dropdown_type": "business_model.gtm_motion"},
{"dropdown_type": "business_model.offering_type"},
{"dropdown_type": "company_assessment.customer_concentration.classification"},
{"dropdown_type": "technology.ai_maturity.scale"},
{"dropdown_type": "business_model.revenue_model"},
{"dropdown_type": "company_assessment.competitive_moat"},
{"dropdown_type": "location.market_served.markets.country"},
{"dropdown_type": "location.offices.country"},
{"dropdown_type": "strategic_signal.partnership.type"}
]
}
Example Request
POST /api/v1/filters/options
x-api-key: <api-key>
Content-Type: application/json
{"dropdowns":[{"dropdown_type":"firmographic.company_type"}]}
Response
Successful Response Fields
Returns a JSON object with the following structure:Options keyed by the
dropdown_type requested. Each value is an array of option objects for that filter. See Option Object below.Option Object
{
"data": {
"firmographic.company_type": [
{ "value": "private", "label": "Private" },
{ "value": "public", "label": "Public" }
]
},
"credits_consumed": 0.00
}
Was this page helpful?
.png?fit=max&auto=format&n=tMpg-r-6yeOIk-hz&q=85&s=e0cafcb914826d8adc60e5092187e1ca)
.png?fit=max&auto=format&n=tMpg-r-6yeOIk-hz&q=85&s=f214ebe0a940d8aa0f19a709a6bfd7fa)